{% extends 'id/id_base.html' %}
{% load static %}

{% block content %}
<section>
    <div class="spacer">
        <h3 class="mb-5">
            Papan Peringkat
        </h3>
        <div class="row g-3">
            <div class="col-xs-12">
                <table class="table table-light table-striped">
                    <thead class="table-primary">
                        <tr>
                            <th class="text-center">Peringkat</th>
                            <th style="width: 50%;">Kontributor</th>
                            <th class="text-center">Skor Kontribusi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for user, score in paginator_object %}
                        <tr>
                            <td class="text-center">{{ forloop.counter0|add:paginator_object.start_index }}</td>
                            <td>
                                <a class="no-link c-blue"
                                    href="{% url 'frontend:contributor_profile_user' user.username %}">
                                    <div class="d-flex">
                                        {% if user.image %}
                                        <img class="avatar" src="{{ user.image.url }}" />
                                        {% else %}
                                        <img class="avatar" src="{% static 'images/common/placeholder.jpeg' %}"
                                            width="48" />
                                        {% endif %}
                                        <p class="ps-3 pt-2">{{ user.full_name|title }}</p>
                                    </div>
                                </a>
                            </td>
                            <td class="text-center">{{ score }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
        {% if paginator_object.has_other_pages %}
        <nav aria-label="pagination">
            <ul class="pagination flex-wrap justify-content-center">
                {% if paginator_object.has_previous %}
                <li class="page-item">
                    <a class="page-link" href="?&page={{ paginator_object.previous_page_number }}">
                        &laquo;
                    </a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <span class="page-link">&laquo;</span>
                </li>
                {% endif %}
                {% for p in paginator_object.paginator.page_range %}
                {% if paginator_object.number == p %}
                <li class="page-item active">
                    <span class="page-link">{{ p }}</span>
                </li>
                {% else %}
                <li class="page-item">
                    <a href="?&page={{ p }}" class="page-link">
                        {{ p }}
                    </a>
                </li>
                {% endif %}
                {% endfor %}
                {% if paginator_object.has_next %}
                <li class="page-item">
                    <a href="?&page={{ paginator_object.next_page_number }}" class="page-link">
                        &raquo;
                    </a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <span class="page-link">&raquo;</span>
                </li>
                {% endif %}
            </ul>
        </nav>
        {% endif %}
    </div>
</section>
{% endblock %}

{% block js %}

{% endblock %}